Summary   : Amateur Station Tracking and Reporting system for amateur radio
Name      : xastir
Version   : 1.9.4
Release   : 1%{?dist}
License   : GPLv2
Group     : Applications/Internet
Source0   : http://downloads.sourceforge.net/xastir/xastir-%{version}.tar.gz
Source1   : %{name}.desktop
Source2   : %{name}.png
Patch0    : xastir-1.9.4-libdir.patch
Patch1    : xastir-1.9.4-engunits.patch
URL       : http://www.xastir.org
BuildRoot : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires : wget
BuildRequires : wget, lesstif-devel, libXt-devel, festival
BuildRequires : ImageMagick-devel, dos2unix, libax25-devel
BuildRequires : curl-devel, pcre-devel, proj-devel, python-devel
BuildRequires : shapelib-devel, gpsman, gdal-devel, db4-devel
BuildRequires : desktop-file-utils, xorg-x11-utils

%description
Xastir is a graphical application that interfaces HAM radio
and internet access to realtime mapping software.

Install XASTIR if you are interested in APRS(tm) and HAM radio
software.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .libdir
%patch1 -p1 -b .engunits

%build
#./bootstrap.sh
#aclocal
#autoheader
#autoconf
#automake -a -c
%configure --without-graphicsmagick --with-geotiff=/usr/include/libgeotiff
make %{?_smp_mflags}
for f in README ChangeLog ; do
    mv $f $f.iso88591
    iconv -o $f -f iso88591 -t utf8 $f.iso88591
    touch -r $f.iso88591 $f
    rm -f $f.iso88591
done
dos2unix -k scripts/toporama250k.pl 

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
#fix wrong doc-path instalation in make install target
#or else we'll get unpacked files
rm -rf %{buildroot}/usr/share/doc
#remove gpx2shape because of unsupported dependency Geo::Shapelib
rm %{buildroot}/usr/share/xastir/gpx2shape
#the following two are not required and also could consider a potential risk #460429
rm %{buildroot}/usr/share/xastir/get-maptools.sh
rm %{buildroot}/usr/share/xastir/get_shapelib.sh
mkdir -p %{buildroot}/usr/share/pixmaps/
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/xastir
%{_bindir}/xastir_udp_client
%{_bindir}/callpass
%{_mandir}/man1/xastir.*
%attr(0644,root,root) %{_datadir}/xastir/Coordinate.pm
%{_datadir}/xastir
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%doc AUTHORS ChangeLog COPYING DEBUG_LEVELS FAQ LICENSE
%doc README README.Contributing README.CVS README.Getting-Started
%doc README.MAPS README.win32 UPGRADE

%changelog
* Thu Oct  5 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.4-1
- new upstream 1.9.4
- drop wget and IM patch (fixed upstream)
- fix for #435762
- preserver timestamps on modified files

* Thu Aug 28 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-9
- drop uneeded and potential risky files (bug #460429)

* Thu Aug 28 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-8
- fix insecure auxiliary /tmp file usage bug #460429

* Thu Jul 08 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-7
- Rebuild against newer db4 headers/libs

* Thu Jun 06 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-6
- Rebuild against gpsman, festival, Berkley DB, gdal

* Sat May 18 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-5
- Patch for newer wget support

* Sat Mar  8 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-4
- Install correct xastir icon
- Misc cleanups
- Rebuild with wget support

* Sat Mar  2 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-3
- Added desktop and icon file

* Sat Feb 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-2
- Moved scripts from libdir to datadir

* Fri Feb 22 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-1
- Updated to Fedora Packaging specifications

* Thu Jul 03 2003 Alan Crosswell <n2ygk@weca.org>
- 1.2.1 my patches now integrated into the main trunk.

* Sat Jun 21 2003 Alan Crosswell <n2ygk@weca.org> 
- added xastir-maps.patch

* Mon Jun 16 2003 Alan Crosswell <n2ygk@weca.org> 
- 1.2.0

* Fri Jun 06 2003 Alan Crosswell <n2ygk@weca.org> 
- June 5 snapshot

* Thu May 15 2003 Alan Crosswell <n2ygk@weca.org> 
- start with chuck's spec file for 1.1.4

